# $Id: remote-pcap.bro,v 1.1.1.1 2004/04/30 00:31:28 jason Exp $
#
# Allows remote peers to add to our capture filter.

@load remote

event remote_capture_filter(ip: addr, p: port, filter: string)
	{
	# If we send a capture filter to a peer and are subscribed to all
	# of its events, we will get a remote_capture_filter event back.
	if ( is_remote_event() )
		return;

	print remote_log, fmt("%.6f %s/%d Received capture filter: %s",
			current_time(), ip, p, filter);

	capture_filters[build_capture_filter_index(ip, p)] = filter;

	# This will recompile the filter, which may take some time.
	# Thus, setting a new capture_filter may cost us some packets :-(.
	update_default_pcap_filter();

	print remote_log, fmt("%.6f %s/%d New default pcap filter: %s", 
			current_time(), ip, p, default_pcap_filter);
	}
